This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 591024 - Review Request: apache-commons-io - rename of jakarta-commons-io
Review Request: apache-commons-io - rename of jakarta-commons-io
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Alexander Kurtakov
Fedora Extras Quality Assurance
:
Depends On:
Blocks: JakartaCommonsRename
  Show dependency treegraph
 
Reported: 2010-05-11 05:14 EDT by Stanislav Ochotnicky
Modified: 2010-05-13 08:03 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-05-13 08:03:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
akurtako: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Stanislav Ochotnicky 2010-05-11 05:14:29 EDT
Spec URL: http://sochotni.fedorapeople.org/apache-commons-io.spec
SRPM URL: http://sochotni.fedorapeople.org/apache-commons-io-1.4-1.fc12.src.rpm

Description: Commons-IO contains utility classes, stream implementations, 
file filters, and endian classes. It is a library of utilities 
to assist with developing IO functionality.

This is a re-review of jakarta-commons-io. Package was almost completely re-done using maven and made consistent with other apache-commons spec files
Comment 1 Alexander Kurtakov 2010-05-11 05:52:54 EDT
I'm taking this one.
Comment 2 Alexander Kurtakov 2010-05-11 06:02:17 EDT
Spec file is in src.rpm is named differently from the standalone you have uploaded. Please upload correct src.rpm
Comment 3 Stanislav Ochotnicky 2010-05-11 06:59:48 EDT
Sorry, I re-uploaded srpm with correct spec file.
Comment 4 Alexander Kurtakov 2010-05-11 14:44:20 EDT
Review:

OK: rpmlint must be run on every package. OUTPUT:

apache-commons-io.noarch: W: spelling-error %description -l en_US endian -> Indian, ending, endive
apache-commons-io.noarch: W: non-conffile-in-etc /etc/maven/fragments/apache-commons-io

Not a problem. 

OK: The package must be named according to the Package Naming Guidelines .
OK: The spec file name must match the base package %{name}, in the format
%{name}.spec unless your package has an exemption. 
OK: The package must meet the Packaging Guidelines .
OK: The package must be licensed with a Fedora approved license and meet the
Licensing Guidelines .
OK: The License field in the package spec file must match the actual license. 
OK: The spec file must be written in American English.
OK: The spec file for the package MUST be legible. 
OK: The sources used to build the package must match the upstream source, as
provided in the spec URL.
OK: The package MUST successfully compile and build into binary rpms on at
least one primary architecture.
OK: All build dependencies must be listed in BuildRequires, except for any that
are listed in the exceptions section of the Packaging Guidelines ; inclusion of
those as BuildRequires is optional. Apply common sense.
OK: Packages must NOT bundle copies of system libraries.
OK: A package must own all directories that it creates. 
OK: A Fedora package must not list a file more than once in the spec file's
%files listings. 
OK: Permissions on files must be set properly. 
OK: Each package must consistently use macros.
OK: The package must contain code, or permissable content. 
OK: Large documentation files must go in a -doc subpackage. Javadocs
subpackage.
OK: If a package includes something as %doc, it must not affect the runtime of
the application. 

FIXIT: Packages must not own files or directories already owned by other packages. 

You should not own %{_mavendepmapfragdir} . It should be %{_mavendepmapfragdir}/*

OK: All filenames in rpm packages must be valid UTF-8.
OK: Package is correctly Obsoleting/Providing the old jakarta package. 

FIXIT:Unversioned apache-commons-io is missing.
Comment 5 Alexander Kurtakov 2010-05-11 14:46:36 EDT
Actually unversioned commons-io.jar is missing.
Comment 7 Alexander Kurtakov 2010-05-12 05:07:17 EDT
Thanks, looks good.

This package is APPROVED.
Comment 8 Stanislav Ochotnicky 2010-05-12 05:11:48 EDT
Thanks. Requesting CVS:

New Package CVS Request
=======================
Package Name: apache-commons-io
Short Description: Java utilities to assist with developing IO functionality
Owners: sochotni
Branches: 
InitialCC:
Comment 9 Kevin Fenzi 2010-05-12 13:24:15 EDT
CVS done (by process-cvs-requests.py).
Comment 10 Chen Lei 2010-05-12 15:38:10 EDT
I think Epoch: 1 is not needed for a new package.
Comment 11 Stanislav Ochotnicky 2010-05-13 08:03:20 EDT
Thank you. Package built, Closing.

(In reply to comment #10)
> I think Epoch: 1 is not needed for a new package.    

You are correct that it would be possible to remove Epoch. I have done so in some other packages but since this review was done with Epoch specified and package is already build...

Note You need to log in before you can comment on or make changes to this bug.